Bug 1050220 - Change "Latest Release" text on download pages that are NOT the latest version
Summary: Change "Latest Release" text on download pages that are NOT the latest version
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Retired
Component: RHN/Web Site
Version: RHN56 (AMS)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Benjamin Miller
QA Contact: Tim Criffield
URL:
Whiteboard: CHG3834
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-08 21:19 UTC by Brooks
Modified: 2014-12-15 00:53 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-25 18:10:37 UTC


Attachments (Terms of Use)
Translations (Excluding Japanese, Japanese to come in a subsequent comment) (18.55 KB, application/zip)
2014-02-12 13:52 UTC, Brooks
no flags Details
Korean (18.69 KB, application/zip)
2014-02-12 13:53 UTC, Brooks
no flags Details
Italian (18.52 KB, application/zip)
2014-02-12 13:54 UTC, Brooks
no flags Details
German (18.52 KB, application/zip)
2014-02-12 13:54 UTC, Brooks
no flags Details
French (18.58 KB, application/zip)
2014-02-12 13:55 UTC, Brooks
no flags Details
Chinese (18.66 KB, application/zip)
2014-02-12 13:56 UTC, Brooks
no flags Details
Spanish (18.56 KB, application/zip)
2014-02-12 13:56 UTC, Brooks
no flags Details
Japanese (4.30 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-02-18 16:04 UTC, Brooks
no flags Details

Description Brooks 2014-01-08 21:19:18 UTC
Description of Enhancement:

From Shea D. within TASK0038533,

"

I would like to request that the download pages for Satellites change the text for versions that are not the latest release.

Today all Satellite download pages have the same text regardless of what version it is stating its the latest version. Can we only have this text on the
actual latest version and on the other pages have text stating that there is a later version with a link pointing to the latest version.

"

Reproducible in what environments:

N/A - RFE


Steps to reproduce viewing Satellite download pages that are NOT the latest version:

(Login with an account that has access to see all Satellite download pages ex. rhn-it-bsaylor)

1. Go to https://rhn.redhat.com/rhn/software/downloads/AllISOs.do

2. Select the "All" tab

3. Within the "Filter by Download Software:" search box, type "Satellite"

4. Execute search

5. Select any Satellite link for any architecture that is NOT the latest version (Hint: Look at description of the download links on this page, notice the "V.##" listing, the download links that have version numbers less than the highest version number listed should be selected)


Actual Results:

Under the "Latest Release" section, this verbiage will appear,

"

Below please find the complete set of ISO images for the latest release of [download name / description]. Depending on the variant of [download name / description] you'd like to install, you may only need a subset of these discs. (more information)

"


Expected Results:

Under the "Latest Release" section, this verbiage should appear,

"

Below please find the complete set of ISO images of [download name / description]. Depending on the variant of [download name / description] you'd like to install, you may only need a subset of these discs. (more information)

"

NOTE - Notice that the "for the latest release" verbiage has been removed from the messaging ONLY for these pages.


Additional Details:


This was requested by Shea D. within TASK0038533


*** It appears there are no translations for this page, therefore this new message text does NOT need to be translated ***

Comment 1 Brooks 2014-01-08 21:45:42 UTC
US42349 added to AMS Kanban board.

Comment 2 Brooks 2014-01-14 21:13:04 UTC
After feedback from Backlog grooming, the business has agreed that if LOE is lesser / the same to change this text for ALL of the not latest download pages that would be acceptable.

Comment 3 Brooks 2014-01-28 14:09:11 UTC
Non-Latest Release page(s) Acceptance Criteria:

An additional request that was just realized within this bug was to have a link under the "Latest Release" header that points the user to the download page of the latest release of the product page they are currently viewing. This link should only be added to download pages that are NOT the latest release, therefore changes initial acceptance criteria of the bug. NO changes will be made to the product download pages that are the latest release within this bug.


So, modified expected results would be:
"
Below please find the complete set of ISO images of [download name / description]. Depending on the variant of [download name / description] you'd like to install, you may only need a subset of these discs. (more information) Did you know? You may have access to download the latest version [here].
"

"Here" will be a hyperlink that points towards the latest release of the product download page that coincides with the non-latest product download page that the user is currently viewing.

Comment 4 Brooks 2014-01-30 22:17:18 UTC
Additional Details Correction:

***Most*** Product Download pages are translated, therefore I am getting translations for ALL of the expected results verbiage.

I will update this bug with the translations once I have them.

Comment 5 Brooks 2014-02-12 13:52:16 UTC
Created attachment 862302 [details]
Translations (Excluding Japanese, Japanese to come in a subsequent comment)

Japanese translation coming in subsequent comment

Comment 6 Brooks 2014-02-12 13:53:50 UTC
Created attachment 862305 [details]
Korean

Korean

Comment 7 Brooks 2014-02-12 13:54:10 UTC
Created attachment 862306 [details]
Italian

Comment 8 Brooks 2014-02-12 13:54:43 UTC
Created attachment 862307 [details]
German

Comment 9 Brooks 2014-02-12 13:55:42 UTC
Created attachment 862308 [details]
French

Comment 10 Brooks 2014-02-12 13:56:07 UTC
Created attachment 862309 [details]
Chinese

Comment 11 Brooks 2014-02-12 13:56:31 UTC
Created attachment 862310 [details]
Spanish

Comment 12 Brooks 2014-02-18 16:04:46 UTC
Created attachment 864640 [details]
Japanese

Comment 13 Jared Blashka 2014-02-25 22:19:00 UTC
Change reviewed

Comment 14 Tim Criffield 2014-03-14 19:38:15 UTC
Tested good on rhn.dev2

https://tcms.engineering.redhat.com/run/121024/

Comment 15 Tim Criffield 2014-03-19 19:16:26 UTC
Tested good on QA

https://tcms.engineering.redhat.com/run/122270/?from_plan=13207

Comment 16 Wil 2014-03-25 18:10:37 UTC
Released to production on 03/24/2014


Note You need to log in before you can comment on or make changes to this bug.